package com.xxl.job.executor.batch.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.batch.entity.KuaiShouCreative;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 快手-创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface KuaiShouCreativeMapper extends BaseMapper<KuaiShouCreative> {

    void replaceBatch(@Param(value = "creatives") List<KuaiShouCreative> creatives);

    Integer checkCreativeCount(@Param("accountId") Long accountId, @Param("unitId") Long unitId);

    Integer getCreateCount(Long accountId, String startTime);

    List<JSONObject> checkZombieProject(String date);
}
